Bug 498199 - Review Request: dynamic-wallpaper - Generates svg wallpaper based on current weather, season and others
Review Request: dynamic-wallpaper - Generates svg wallpaper based on current ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zarko (grof)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 08:42 EDT by Benoît Marcelin
Modified: 2011-07-27 02:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 02:11:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zarko.pintar: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Benoît Marcelin 2009-04-29 08:42:05 EDT
Spec URL: http://tmp.sereinity.homelinux.org/rpm/dynamic-wallpaper.spec
SRPM URL: http://tmp.sereinity.homelinux.org/rpm/dynamic-wallpaper-0.3-1.fc10.src.rpm
Description:
Dynamic wallpaper is based on weather-wallpaper and generates svg wallpaper
based on current weather, season, time of day and others. It supports themes.
Comment 1 Zarko (grof) 2009-05-28 09:03:16 EDT
Several notes:

! Mock fails:
error: File not found by glob: /builddir/build/BUILDROOT/dynamic-wallpaper-0.3-1.fc11.x86_64/usr/bin/motor.py?

Try change to:
%exclude %{_bindir}/motor.pyc

- Add this line at %prep to preserve time stamps:
sed -i 's|install |install -p |' Makefile

- The new version is on upstream, please update.

- If not necessary, delete commented make line from %build  

? If you sponsored packager, I can make review...
Comment 2 Benoît Marcelin 2009-05-28 19:42:05 EDT
I haven't this problem with mock, what's your fedora's version ?
mock works fine in my F10.

I've put 2 %exclude line to fix the problem.

new links :
SPEC : http://tmp.sereinity.homelinux.org/rpm/dynamic-wallpaper.spec
SRPM : http://tmp.sereinity.homelinux.org/rpm/dynamic-wallpaper-0.3.1-1.fc10.src.rpm
Comment 3 Benoît Marcelin 2009-05-29 03:19:11 EDT
Note : I'm already sponsored, I just need review.
Comment 4 Zarko (grof) 2009-05-29 04:47:08 EDT
OK, I assigned.

1. Koji build on dist-f10 passed, but dist-f11 failed!
   See: http://koji.fedoraproject.org/koji/taskinfo?taskID=1382595

2. At Changelog, the newest instances must go upper then old ones, so change this.
Comment 5 Benoît Marcelin 2009-05-29 05:37:00 EDT
Ok, I see, it will be better to have to SPEC file : one with %exclude line, the other without.

Sorry for the mistake in changelog.
Comment 6 Benoît Marcelin 2009-05-29 05:55:55 EDT
(files are updated)
Comment 7 Zarko (grof) 2009-05-29 06:42:04 EDT
- I thin that you do not need this:
=============================================================
update-mime-database %{_kde4_datadir}/mime &> /dev/null || :
=============================================================

This is neded only if application drops an XML file in %{_datadir}/mime/packages.

Please, can you explain this:
=============================================
unset QTINC QTLIB QTPATH_LRELEASE QMAKESPEC
export QT4DIR=%{_libdir}/qt4
export QTDIR=$QT4DIR
PATH=$QT4DIR/bin:$PATH ; export PATH
=============================================

Do we need this?
Comment 8 Zarko (grof) 2009-05-29 07:16:36 EDT
Huh, forget last message, it isn't from this story ;)

BTW, your spec seem to be OK, please 

change to this:

%if %{?fedora} < 11
%exclude %{_bindir}/motor.py?
%endif

I
Comment 9 Zarko (grof) 2009-05-29 07:43:35 EDT
Last notes...

- License is LGPLv2+ in COPYING file, but in python code stands GPLv2. Can you clarify?
Comment 10 Benoît Marcelin 2009-05-29 08:15:18 EDT
No I can't, while it's not blocking (both are accepted in fedora). But I have send an email to the author to clarify the situation.
Comment 11 Zarko (grof) 2009-05-29 08:27:38 EDT
(In reply to comment #10)
> No I can't, while it's not blocking (both are accepted in fedora). 

Yes, I know. But I want to know which one is relevant.
Comment 12 Benoît Marcelin 2009-05-30 13:31:16 EDT
The response was :
> Obviously I missed that. Because some of the source files are not written by me I can't change their license, so I guess that the more conservative stays - GPLv2.

So I think we keep GPLv2.
Comment 13 Zarko (grof) 2009-05-30 15:27:50 EDT
Good.

So, can you patch COPYING file with the right license information (GPLv2)?
Comment 14 Benoît Marcelin 2009-06-03 05:09:37 EDT
Updated
Comment 15 Zarko (grof) 2009-06-03 06:46:30 EDT
Good! 

Please, one more (little) thing:

- Comment this patch file (place comment line before 
Patch0:         %{name}-copying.patch)
Comment 16 Benoît Marcelin 2009-06-03 19:30:33 EDT
Ok, done.
Comment 17 Zarko (grof) 2009-06-04 02:08:48 EDT
Now, I APPROVED.
Comment 18 Benoît Marcelin 2009-06-04 03:13:15 EDT
New Package CVS Request
=======================
Package Name: dynamic-wallpaper
Short Description: Generates svg wallpaper based on current weather, season and others
Owners: sereinit
Branches: F-9 F-10 F-11
InitialCC: none
Comment 19 Jason Tibbitts 2009-06-04 11:38:01 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.